import { ApiCall } from "tsrpc";
import { ReqCatAllhd, ResCatAllhd } from "../monopoly/protocols/PtlCatAllhd";
import { HuoDongFun } from "../public/huodongfun";

export default async function (call: ApiCall<ReqCatAllhd, ResCatAllhd>) {
    let _where = call.req.where
    let _w = {}
    if (_where && Object.keys(_where).length > 0) {
        _w = _where
    }
    let _hdList = await HuoDongFun.catAllHD(_w)
    call.succ({ hdlist: _hdList });
}